<?php

declare(strict_types=1);

namespace KupShop\GraphQLBundle\ApiPublic\Types\Payload;

use KupShop\GraphQLBundle\ApiPublic\Types\Cart\Cart;
use KupShop\GraphQLBundle\ApiShared\Types\Payload;
use TheCodingMachine\GraphQLite\Annotations\Field;
use TheCodingMachine\GraphQLite\Annotations\Type;

/**
 * @Type()
 */
class CartUpdatePayload extends Payload
{
    private $cart;

    public function setCart(Cart $cart): void
    {
        $this->cart = $cart;
    }

    /**
     * @Field()
     */
    public function getCart(): Cart
    {
        return $this->cart;
    }
}
